# SimpleRss Plugin Installation

## Installation

To install or update the SimpleRss plugin, run the following command from the root of your WordPress HTML directory:

```sh
curl -sSL https://git.nixc.us/colin/SimpleRss/raw/branch/main/install.sh | bash
```

## Enabling the Plugin

After running the install script, you need to activate the plugin. You can do this via the WordPress admin dashboard:

1. Log in to your WordPress admin dashboard.
2. Navigate to `Plugins > Installed Plugins`.
3. Find `SimpleRss` in the list and click `Activate`.

Alternatively, you can activate the plugin using WP-CLI:

```sh
wp plugin activate simplerss --allow-root
```

## What `install.sh` Does

The `install.sh` script performs the following actions:

1. Defines the URL for downloading the `simplerss.php` file.
2. Creates the target directory (`wp-content/plugins/simplerss`) if it doesn't exist.
3. Downloads the `simplerss.php` file into the target directory.
4. Sets the correct permissions for the `simplerss.php` file.
5. Prints a message indicating that the SimpleRss plugin has been installed or updated successfully.

# How it works:

    The shortcode [simple_rss url="RSS_FEED_URL" items="NUMBER_OF_ITEMS"] will display the feed.
    You can embed the shortcode in any post or page to show the feed.
    url is the link to the RSS feed.
    items is optional (defaults to 5), and it controls the number of feed items to display.

## Example of usage:

[simple_rss url="https://example.com/feed" items="3"]

This will display the latest 3 items from the specified feed.